cURL
curl --request POST \
--url https://us.infisical.com/api/v1/cert-manager/signers/{signerId}/certificate/import \
--header 'Content-Type: application/json' \
--data '
{
"caId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalOrderId": "<string>",
"certificate": {
"hsmConnectorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hsmKeyLabel": "<string>",
"hsmKeyId": "<string>"
},
"certificateRenewBeforeDays": 15
}
'import requests
url = "https://us.infisical.com/api/v1/cert-manager/signers/{signerId}/certificate/import"
payload = {
"caId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalOrderId": "<string>",
"certificate": {
"hsmConnectorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hsmKeyLabel": "<string>",
"hsmKeyId": "<string>"
},
"certificateRenewBeforeDays": 15
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
caId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
externalOrderId: '<string>',
certificate: {
hsmConnectorId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
hsmKeyLabel: '<string>',
hsmKeyId: '<string>'
},
certificateRenewBeforeDays: 15
})
};
fetch('https://us.infisical.com/api/v1/cert-manager/signers/{signerId}/certificate/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://us.infisical.com/api/v1/cert-manager/signers/{signerId}/certificate/import",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'caId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'externalOrderId' => '<string>',
'certificate' => [
'hsmConnectorId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'hsmKeyLabel' => '<string>',
'hsmKeyId' => '<string>'
],
'certificateRenewBeforeDays' => 15
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://us.infisical.com/api/v1/cert-manager/signers/{signerId}/certificate/import"
payload := strings.NewReader("{\n \"caId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"externalOrderId\": \"<string>\",\n \"certificate\": {\n \"hsmConnectorId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hsmKeyLabel\": \"<string>\",\n \"hsmKeyId\": \"<string>\"\n },\n \"certificateRenewBeforeDays\": 15\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://us.infisical.com/api/v1/cert-manager/signers/{signerId}/certificate/import")
.header("Content-Type", "application/json")
.body("{\n \"caId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"externalOrderId\": \"<string>\",\n \"certificate\": {\n \"hsmConnectorId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hsmKeyLabel\": \"<string>\",\n \"hsmKeyId\": \"<string>\"\n },\n \"certificateRenewBeforeDays\": 15\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://us.infisical.com/api/v1/cert-manager/signers/{signerId}/certificate/import")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"caId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"externalOrderId\": \"<string>\",\n \"certificate\": {\n \"hsmConnectorId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hsmKeyLabel\": \"<string>\",\n \"hsmKeyId\": \"<string>\"\n },\n \"certificateRenewBeforeDays\": 15\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"status": "active",
"certificateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approvalPolicyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastSignedAt": "2023-11-07T05:31:56Z",
"caId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commonName": "<string>",
"certificateTtlDays": 123,
"certificateRenewBeforeDays": 123,
"certificateFailureReason": "<string>",
"keyAlgorithm": "RSA_2048",
"externalCaConfig": null
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Import certificate
Switch the signer to the certificate already issued in an existing DigiCert order, signing with that certificate’s private key on the HSM. DigiCert does not reissue or revoke anything.
POST
/
api
/
v1
/
cert-manager
/
signers
/
{signerId}
/
certificate
/
import
cURL
curl --request POST \
--url https://us.infisical.com/api/v1/cert-manager/signers/{signerId}/certificate/import \
--header 'Content-Type: application/json' \
--data '
{
"caId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalOrderId": "<string>",
"certificate": {
"hsmConnectorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hsmKeyLabel": "<string>",
"hsmKeyId": "<string>"
},
"certificateRenewBeforeDays": 15
}
'import requests
url = "https://us.infisical.com/api/v1/cert-manager/signers/{signerId}/certificate/import"
payload = {
"caId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalOrderId": "<string>",
"certificate": {
"hsmConnectorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hsmKeyLabel": "<string>",
"hsmKeyId": "<string>"
},
"certificateRenewBeforeDays": 15
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
caId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
externalOrderId: '<string>',
certificate: {
hsmConnectorId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
hsmKeyLabel: '<string>',
hsmKeyId: '<string>'
},
certificateRenewBeforeDays: 15
})
};
fetch('https://us.infisical.com/api/v1/cert-manager/signers/{signerId}/certificate/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://us.infisical.com/api/v1/cert-manager/signers/{signerId}/certificate/import",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'caId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'externalOrderId' => '<string>',
'certificate' => [
'hsmConnectorId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'hsmKeyLabel' => '<string>',
'hsmKeyId' => '<string>'
],
'certificateRenewBeforeDays' => 15
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://us.infisical.com/api/v1/cert-manager/signers/{signerId}/certificate/import"
payload := strings.NewReader("{\n \"caId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"externalOrderId\": \"<string>\",\n \"certificate\": {\n \"hsmConnectorId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hsmKeyLabel\": \"<string>\",\n \"hsmKeyId\": \"<string>\"\n },\n \"certificateRenewBeforeDays\": 15\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://us.infisical.com/api/v1/cert-manager/signers/{signerId}/certificate/import")
.header("Content-Type", "application/json")
.body("{\n \"caId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"externalOrderId\": \"<string>\",\n \"certificate\": {\n \"hsmConnectorId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hsmKeyLabel\": \"<string>\",\n \"hsmKeyId\": \"<string>\"\n },\n \"certificateRenewBeforeDays\": 15\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://us.infisical.com/api/v1/cert-manager/signers/{signerId}/certificate/import")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"caId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"externalOrderId\": \"<string>\",\n \"certificate\": {\n \"hsmConnectorId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hsmKeyLabel\": \"<string>\",\n \"hsmKeyId\": \"<string>\"\n },\n \"certificateRenewBeforeDays\": 15\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"status": "active",
"certificateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approvalPolicyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastSignedAt": "2023-11-07T05:31:56Z",
"caId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commonName": "<string>",
"certificateTtlDays": 123,
"certificateRenewBeforeDays": 123,
"certificateFailureReason": "<string>",
"keyAlgorithm": "RSA_2048",
"externalCaConfig": null
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Path Parameters
Body
application/json
The DigiCert certificate authority the order belongs to.
The DigiCert order whose certificate the signer will use.
Required string length:
1 - 32Show child attributes
Show child attributes
Days before expiry to renew the certificate with the same HSM key. Must be less than the certificate's validity. Omit to keep the signer's current setting, or set to null to turn renewal off.
Required range:
1 <= x <= 30Response
Default Response
Was this page helpful?